package p05_petle;

import java.util.Random;
import java.util.Scanner;

public class WynikMnozenia_v3 {

	public static void main(String[] args) {
		Scanner scanner = new Scanner(System.in);
		Random random = new Random();
		
		int x = random.nextInt(20) + 1;
		int y = random.nextInt(20) + 1;
		int wynik = x*y;
		int proba = 0;
		int odp;
		while(true) {
			System.out.println("Ile to jest " + x + " razy " + y + " ? ");
			odp = scanner.nextInt();
			proba++;
			if(odp == wynik) {
				System.out.println("Poprawna odpowiedź. Udało się w próbie nr " + proba);
				break; // wyjście poza pętlę
			}
			System.out.println("Niestety, zła odpowiedź.");
		}

	}

}
